/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package domain;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 *
 * @author student1
 */
public class InvoiceItem implements Serializable, DomainObject{
    
    private Invoice invoice;
    private Long itemNumber;
    private Product product;
    private BigDecimal price;
    private Long quantity;

    public InvoiceItem() {
    }

    public InvoiceItem(Long itermNumber, Product product, BigDecimal price, Long quantity) {
        this.itemNumber = itermNumber;
        this.product = product;
        this.price = price;
        this.quantity = quantity;
    }
    
    public InvoiceItem(Invoice invoice, Long itermNumber, Product product, BigDecimal price, Long quantity) {
        this.invoice=invoice;
        this.itemNumber = itermNumber;
        this.product = product;
        this.price = price;
        this.quantity = quantity;
    }

    public Long getQuantity() {
        return quantity;
    }

    public void setQuantity(Long quantity) {
        this.quantity = quantity;
    }

    public Long getItermNumber() {
        return itemNumber;
    }

    public void setItermNumber(Long itermNumber) {
        this.itemNumber = itermNumber;
    }

    public Product getProduct() {
        return product;
    }

    public void setProduct(Product product) {
        this.product = product;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public void setInvoice(Invoice invoice) {
        this.invoice = invoice;
    }

    public Invoice getInvoice() {
        return invoice;
    }
    
    

    @Override
    public String getTableName() {
        return "InvoiceItem";
    }

    @Override
    public String getAttributeNamesForInsert() {
        return "invoice, itemNumber, product, price, quantity";
    }

    @Override
    public String getAttributeValuesForInsert() {
        return invoice.getId()+", "+itemNumber+", "+product.getId()+", "+price+", "+quantity;
    }

    @Override
    public boolean isAutoincrement() {
        return false;
    }

    @Override
    public void setObjectId(Long id) {
        //
    }
    
    
}
